Subject: Re: Difference between ioremap() and phy_to_virt() Kernel function

From: Arnd Bergmann <[email-masked]>
Date: Mon, 22 Oct 2007 13:04:43 +0200

On Monday 22 October 2007, Misbah khan wrote:
> Could you Please let me know what is the difference between ioremap() and
> phy_to_virt() function being provided by the Kernel.

ioremap gives you a new mapping for I/O addresses that you can access
with functions like in_be32 and the like.

phy_to_virt() is rarely used at all, it only serves to convert a physical
address for main memory (RAM) into the address used inside of the kernel.

	Arnd <><